---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfldw003.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50630, symBinAddr: 0xC340, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52570, symBinAddr: 0xE280, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52960, symBinAddr: 0xE670, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53900, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53910, symBinAddr: 0xF620, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50130, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50134, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50138, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50290, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50348, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5034C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50350, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50354, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50358, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50360, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50378, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50380, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50388, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50390, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50398, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x503DA, symBinAddr: 0xC1AA, symSize: 0x0 }
  - { offsetInCU: 0x90F4, offset: 0x90F4, size: 0x8, addend: 0x0, symName: __ZL10actual_fid, symObjAddr: 0x503E0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x910D, offset: 0x910D, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x503E8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x503F0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50400, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9158, offset: 0x9158, size: 0x8, addend: 0x0, symName: __ZL4fids, symObjAddr: 0x50540, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x917D, offset: 0x917D, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50560, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x91D6, offset: 0x91D6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x45A0, symSize: 0x80 }
  - { offsetInCU: 0x926B, offset: 0x926B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x44F0, symSize: 0xB0 }
  - { offsetInCU: 0x92C6, offset: 0x92C6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x43F0, symSize: 0x100 }
  - { offsetInCU: 0x9559, offset: 0x9559, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4620, symSize: 0x220 }
  - { offsetInCU: 0x973E, offset: 0x973E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4840, symSize: 0xA0 }
  - { offsetInCU: 0x97F1, offset: 0x97F1, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x48E0, symSize: 0x110 }
  - { offsetInCU: 0x98E7, offset: 0x98E7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x49F0, symSize: 0x150 }
  - { offsetInCU: 0x9A18, offset: 0x9A18, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4B40, symSize: 0x30 }
  - { offsetInCU: 0x9AD9, offset: 0x9AD9, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4B70, symSize: 0x150 }
  - { offsetInCU: 0x9CD1, offset: 0x9CD1, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4CC0, symSize: 0x160 }
  - { offsetInCU: 0x9E5D, offset: 0x9E5D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4E20, symSize: 0x1B0 }
  - { offsetInCU: 0xA078, offset: 0xA078, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4FD0, symSize: 0xA0 }
  - { offsetInCU: 0xA147, offset: 0xA147, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5070, symSize: 0x20 }
  - { offsetInCU: 0xA17E, offset: 0xA17E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5090, symSize: 0x20 }
  - { offsetInCU: 0xA1B5, offset: 0xA1B5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x50B0, symSize: 0x20 }
  - { offsetInCU: 0xA324, offset: 0xA324, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x50D0, symSize: 0x1A0 }
  - { offsetInCU: 0xA64A, offset: 0xA64A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5270, symSize: 0x80 }
  - { offsetInCU: 0xA713, offset: 0xA713, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x52F0, symSize: 0x6A0 }
  - { offsetInCU: 0xB2A8, offset: 0xB2A8, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA180, symBinAddr: 0x6600, symSize: 0xB0 }
  - { offsetInCU: 0xB31F, offset: 0xB31F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5990, symSize: 0x70 }
  - { offsetInCU: 0xB3DB, offset: 0xB3DB, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5A00, symSize: 0xA0 }
  - { offsetInCU: 0xB506, offset: 0xB506, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5AA0, symSize: 0x40 }
  - { offsetInCU: 0xB5FC, offset: 0xB5FC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5AE0, symSize: 0x2B0 }
  - { offsetInCU: 0xB9A2, offset: 0xB9A2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5D90, symSize: 0xC0 }
  - { offsetInCU: 0xBAE8, offset: 0xBAE8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5E50, symSize: 0x10 }
  - { offsetInCU: 0xBBAA, offset: 0xBBAA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5E60, symSize: 0x220 }
  - { offsetInCU: 0xBEA7, offset: 0xBEA7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6080, symSize: 0x10 }
  - { offsetInCU: 0xBF04, offset: 0xBF04, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6090, symSize: 0x150 }
  - { offsetInCU: 0xC0D1, offset: 0xC0D1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D60, symBinAddr: 0x61E0, symSize: 0x10 }
  - { offsetInCU: 0xC12E, offset: 0xC12E, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0x9D70, symBinAddr: 0x61F0, symSize: 0x40 }
  - { offsetInCU: 0xC23B, offset: 0xC23B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw003_getReady, symObjAddr: 0x9DB0, symBinAddr: 0x6230, symSize: 0x350 }
  - { offsetInCU: 0xC4C2, offset: 0xC4C2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw003_check, symObjAddr: 0xA100, symBinAddr: 0x6580, symSize: 0x70 }
  - { offsetInCU: 0xC505, offset: 0xC505, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw003_getRes, symObjAddr: 0xA170, symBinAddr: 0x65F0, symSize: 0x10 }
  - { offsetInCU: 0xC53A, offset: 0xC53A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA230, symBinAddr: 0x66B0, symSize: 0x36A }
...
